## gate.gui
Class DocumentEditor.TypeData

    java.lang.Object
      |
      +--gate.gui.DocumentEditor.TypeData

Enclosing class:
  DocumentEditor

public class DocumentEditor.TypeData
extends Object

Holds the GUI metadata for a given annotation type. An annotation type is uniquely identified by the name of its AnnotationSet and the name of the type. For the default annotation set of a document (which has no name) the "<Default>" value is used. The GUI metadata contains, amongst other things, the style used for highlighting the annotations of this type. These styles are cascading styles (there is a relation of inheritance between them) so the annotation type style inherits the characteristics from the style associated with the annotation set it belongs to. For eficiency reasons there are some intermediary styles between a parent and a child style that used for changing the display in one operation.

Field Summary
`private Set` `annotations`
`private DocumentEditor.Range` `range`
`private String` `set`
`private Style` `style`
`private String` `type`
`private boolean` `visible`

Constructor Summary
`DocumentEditor.TypeData(String set, String type, boolean visible)`

Method Summary
`Set` `getAnnotations()`
`AttributeSet` `getAttributes()`
`String` `getSet()`
`String` `getTitle()`
`String` `getType()`
`boolean` `getVisible()`
`void` `setAnnotations(Set as)`
`void` `setAttributes(AttributeSet newAttributes)`
`void` `setSet(String set)`
`void` `setVisible(boolean isVisible)`
`String` `toString()`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### set

    private String set

### type

    private String type

### visible

    private boolean visible

### style

    private Style style

### annotations

    private Set annotations

### range

    private DocumentEditor.Range range

Constructor Detail

### DocumentEditor.TypeData

    public DocumentEditor.TypeData(String set,
                                   String type,
                                   boolean visible)

Method Detail

### getSet

    public String getSet()

### setSet

    public void setSet(String set)

### getType

    public String getType()

### getTitle

    public String getTitle()

### getVisible

    public boolean getVisible()

### setVisible

    public void setVisible(boolean isVisible)

### getAttributes

    public AttributeSet getAttributes()

### setAttributes

    public void setAttributes(AttributeSet newAttributes)

### setAnnotations

    public void setAnnotations(Set as)

### getAnnotations

    public Set getAnnotations()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`